# Mandatly | Cookie Compliance and Consent solution 
Tags: GDPR, CCPA, LGPD, PIPEDA, DSGVO, cookie, cookie banner, cookie notice, cookie policy, cookie law, cookie consent, cookie compliance

Tested up to: 11.0.0

License: GPLV2-or-later or later

License URI: https://www.gnu.org/licenses/old-licenses/gpl-2.0.en.html

# Description 
The easy-to-use cookie compliance and consent solution allows you to manage cookie consents and assists in becoming compliant with GDPR, LGPD, CCPA/CPRA, e-privacy directive and other regulations.

**Key features of Mandatly Cookie Compliance and Consent solution:**

* The Automatic Cookie Scanner will detect first and third-party cookies on your website and **provide transparency to your visitors** so they can give informed consent. 

* Mandatly is packed with **pre-defined banner templates and geolocation rules** for GDPR, CCPA, and LGPD compliance. 

* You can **customize CSS of cookie consent banners to match your website branding** and even create templates for all your domains. 

* Plus, you’ll be able to **display your cookie banner in multiple languages**, including Spanish, French, Portuguese, and German. 

* You'll also be able to allow users to modify or revoke consent. Just enable the **Floating Action button** for your website. This feature also lets users review their consent details by providing an in-depth view of everything they’ve consented to online. 

* Mandatly will even keep all user info in a **handy consent log**, so you can easily demonstrate your compliance. 

* Mandatly **automatically categorizes all cookies** using its extensive built-in database. 

* If you’d rather take control, it’s easy to categorize cookies manually and set up daily scan reports for new or removed cookies.

* All you need to do is to configure the banner and enter your website GUID in the module to get started. 

[Read More](https://www.mandatly.com/products/cookie-compliance#main-cont-features-1)

**Mandatly Cookie Compliance and Consent solution helps you to become compliant with the following data protection regulations and all the upcoming regulations:**

* EU GDPR and ePrivacy Directive (EU) 

* Brazil LGPD  

* California CCPA/CPRA (US) 

* Virginia CDPA (US) 

* Colorado Privacy Act (US) 


**How to implement Mandatly Cookie Compliance and Consent solution via module?**

To implement Mandatly Cookie Compliance and Consent solution module, follow the below mentioned steps: 

1. Create Mandatly Cookie Compliance and Consent solution account. You need Mandatly account to implement cookie banner using this plug-in. Don't have Mandatly account? [Signup Now](https://www.mandatly.com/signup?sc=QS1DQy1CUy1HTA%3D%3D).  

2. If you already have an account of Mandatly Cookie Compliance and Consent solution, simply choose the default configuration provided by us to become compliant or you can even configure your banner design, banner content, consent settings, scan configuration, preference center, etc. as per your requirements. 

3. Copy the **website GUID** of your website domain. Do not forget to publish your cookie banner. Learn [How to get website Guid?](https://help.mandatly.net/HowtogetWebsiteGUID.html) 

4. Install the Mandatly Cookie Compliance and Consent solution module on your drupal website. 

5. Paste the website GUID and click on the Save Changes button.  

**Read more about Mandatly Cookie Compliance and Consent solution:**

1. Cookie Compliance [Blogs](https://www.mandatly.com/blogs) 

2. [Frequently Asked Questions](https://www.mandatly.com/faqs) about Cookies  

3. Help [Documents to](https://www.mandatly.com/documentation) guide you through Mandatly Cookie Compliance and Consent solution

# Requirements

1. Drupal 9.x or higher

2. PHP 7.4 or higher (PHP 8.0+ recommended)

3. Composer (for managing dependencies)

# Installation 

**Method 1: Using Composer-Based Drupal Module Installation**

1. Go to Drupal.org and navigate to the Download & Extend section.

2. Search for the Mandatly Cookie Compliance module.

3. Copy the Composer command "composer require drupal/mandatly_cookie_compliance:^1.0".

4. Open your terminal/command prompt and navigate to your Drupal project directory.

5. Paste the copied command and run it.

6. Once the installation is complete, go to your Drupal Dashboard.

7. Click on Extend.

8. Search for Mandatly Cookie Compliance in the module list.

9. Enable the Mandatly Cookie Compliance module and click Install.

10. Navigate to Configuration > Mandatly Cookie Compliance.
 
**Method 2: Using File-Based Drupal Module Installation**

1. Go to Drupal.org and navigate to the Download & Extend section.

2. Search for the Mandatly Cookie Compliance module.

3. Scroll down and click View all releases.

4. Click on the latest version of Mandatly Cookie Compliance.

5. Download the mandatly_cookie_compliance.tar file of the module.

6. Go to your Drupal Dashboard and click on Extend.

7. Click Add new module.

8. Upload the downloaded mandatly_cookie_compliance.tar file.

9. Click Install after the upload completes.

10. Search for Mandatly Cookie Compliance in the module list.

11. Enable the Mandatly Cookie Compliance module and click Install.

12. Navigate to Configuration > Mandatly Cookie Compliance.

# Configuration

**After enabling the module, navigate to the following path to configure the mandatly cookie compliance settings:**

1. **Path**: `/admin/config/mandatly-cookie-compliance`