(function ($, Drupal) {
  $(document).ready(function () {
  if (typeof window.mandatlyConfig === 'undefined') {
      console.error('Mandatly configuration is missing.');
      return;
  }

  const { showBanner, demoMode, websiteGUID, demoBannerScript } = window.mandatlyConfig;

  if (!showBanner) {
      console.log('Cookie banner is disabled.');
      return;
  }

  let scriptSrc = '';

  if (demoMode) {
      scriptSrc = demoBannerScript;
      console.log('Loading demo banner:', scriptSrc);
  } else {
      if (websiteGUID) {
          scriptSrc = `https://cdnscript.mandatlyonline.net / cai / bn / ${websiteGUID}.js`;
          console.log('Loading actual cookie banner:', scriptSrc);
      } else {
          console.error('Website GUID is missing. Cookie banner script will not load.');
          return;
      }
  }

  let script = document.createElement('script');
  script.type = 'text/javascript';
  script.src = scriptSrc;
  script.onload = function () {
      console.log('Cookie banner script loaded successfully.');
  };
  script.onerror = function () {
      console.error('Failed to load the cookie banner script:', scriptSrc);
  };
  document.head.appendChild(script);
});
})(jQuery, Drupal);
